# Generated by Django 4.2.1 on 2023-05-09 15:09

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("common", "0003_alter_commonuser_tenant"),
        ("timetracker", "0014_alter_absencetype_uuid"),
    ]

    operations = [
        migrations.CreateModel(
            name="TimetrackerTenant",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("common.tenant",),
        ),
        migrations.AlterModelOptions(
            name="absence",
            options={
                "permissions": (("administer_absence", "Can administer absences"),),
                "verbose_name": "Absence",
                "verbose_name_plural": "Absences",
            },
        ),
        migrations.AddField(
            model_name="absencetype",
            name="icon",
            field=models.CharField(
                choices=[
                    ("umbrella", "Umbrella"),
                    ("prescription2", "Prescription"),
                    ("airplane", "Airplane"),
                    ("house", "House"),
                ],
                default="umbrella",
                max_length=50,
                verbose_name="Icon name",
            ),
        ),
    ]
